## python-beziers 0.3.1+dfsg1

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

publish: html
	cd _build/html && git add . && git commit -m "New docs" && git push

=== debian/changelog ===
python-beziers (0.3.1+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #995373)

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Mon, 11 Oct 2021 23:39:30 +0800

=== debian/control ===
Source: python-beziers
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-sphinx,
 python3-setuptools,
 python3-all,
 python3-pyclipper
Standards-Version: 4.6.0
Homepage: https://github.com/simoncozens/beziers.py
Vcs-Browser: https://salsa.debian.org/fonts-team/python-beziers
Vcs-Git: https://salsa.debian.org/fonts-team/python-beziers.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-beziers
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-beziers-doc
Description: Python library for bezier curves and paths (Python 3)
 Beziers provides a variety of classes for constructing, manipulating and
 drawing Bezier curves and paths. Principally designed for font design
 software, it allows you to join, split, offset, and perform many other
 operations on paths.
 .
 This package installs the library for Python 3.

Package: python-beziers-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python library for bezier curves and paths (common documentation)
 Beziers provides a variety of classes for constructing, manipulating and
 drawing Bezier curves and paths. Principally designed for font design
 software, it allows you to join, split, offset, and perform many other
 operations on paths.
 .
 This is the common documentation package.

## python-beziers 0.5.0+dfsg1

=== debian/changelog ===
python-beziers (0.5.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    + Fix compatibility with new fonttools.
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Oct 2022 10:46:25 -0400

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  python3-sphinx,
  python3-setuptools,
  python3-all,
- python3-pyclipper
-Standards-Version: 4.6.0
+ python3-pyclipper,
+Standards-Version: 4.6.1
 Homepage: https://github.com/simoncozens/beziers.py
 Vcs-Browser: https://salsa.debian.org/fonts-team/python-beziers
 Vcs-Git: https://salsa.debian.org/fonts-team/python-beziers.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=beziers

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	doc/ build/html # HTML generator

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?(a|b)[.]?(\d*)$/\$1~\$2\$3/,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-beziers-$1.tar.gz%" \
   https://github.com/simoncozens/beziers.py/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-beziers 0.6.0+dfsg1

=== debian/changelog ===
python-beziers (0.6.0+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 27 Aug 2024 21:07:45 -0400
